package de.szut.casino.slots;

import lombok.Getter;

import java.math.BigDecimal;

@Getter
public enum Symbol {
    SEVEN("seven", new BigDecimal("1000"), 1),
    BAR("bar", new BigDecimal("85"), 4),
    BELL("bell", new BigDecimal("40"), 7),
    CHERRY("cherry", new BigDecimal("10"), 10),
    BLANK("blank", new BigDecimal("0"), 10);

    private final String displayName;
    private final BigDecimal payoutMultiplier;
    private final int countPerStrip;

    Symbol(String displayName, BigDecimal payoutMultiplier, int count) {
        this.displayName = displayName;
        this.payoutMultiplier = payoutMultiplier;
        this.countPerStrip = count;
    }
}
